### Constructor

# Foundry DirectoryListing new

#### Declaration [src]

    FoundryDirectoryListing*
    foundry_directory_listing_new (
      FoundryContext* context,
      GFile* directory,
      const char* attributes,
      GFileQueryInfoFlags query_flags
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  No description available.

  The data is owned by the caller of the function.

`directory`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`attributes`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`query_flags`

  Type: `GFileQueryInfoFlags`

  No description available.

#### Return value

Type: `FoundryDirectoryListing`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.